GNU Radio's GSM Package: gr::gsm::burst_sdcch_subslot_filter Class Reference

GNU Radio's GSM Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::gsm::burst_sdcch_subslot_filter Class Referenceabstract

<+description of block+> More...

`#include <burst_sdcch_subslot_filter.h>`

Inheritance diagram for gr::gsm::burst_sdcch_subslot_filter:

## Public Types
typedef boost::shared_ptr< burst_sdcch_subslot_filter > | sptr

## Public Member Functions
virtual unsigned int | get_ss (void)=0
virtual unsigned int | set_ss (unsigned int ss)=0
virtual subslot_filter_mode | get_mode (void)=0
virtual subslot_filter_mode | set_mode (subslot_filter_mode mode)=0
virtual filter_policy | get_policy (void)=0
virtual filter_policy | set_policy (filter_policy policy)=0

## Static Public Member Functions
static sptr | make (subslot_filter_mode mode, unsigned int subslot)
| Return a shared_ptr to a new instance of grgsm::burst_sdcch_subslot_filter. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<burst_sdcch_subslot_filter> gr::gsm::burst_sdcch_subslot_filter::sptr

## Member Function Documentation

## ◆ get_mode()

virtual subslot_filter_mode gr::gsm::burst_sdcch_subslot_filter::get_mode | ( | void |  | ) |
| pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_filter_impl.

## ◆ get_policy()

virtual filter_policy gr::gsm::burst_sdcch_subslot_filter::get_policy | ( | void |  | ) |
| pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_filter_impl.

## ◆ get_ss()

virtual unsigned int gr::gsm::burst_sdcch_subslot_filter::get_ss | ( | void |  | ) |
| pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_filter_impl.

## ◆ make()

static sptr gr::gsm::burst_sdcch_subslot_filter::make | ( | subslot_filter_mode | mode,
|  | unsigned int | subslot
| ) |  |
| static

Return a shared_ptr to a new instance of grgsm::burst_sdcch_subslot_filter.

To avoid accidental use of raw pointers, grgsm::burst_sdcch_subslot_filter's constructor is in a private implementation class. grgsm::burst_sdcch_subslot_filter::make is the public interface for creating new instances.

## ◆ set_mode()

virtual subslot_filter_mode gr::gsm::burst_sdcch_subslot_filter::set_mode | ( | subslot_filter_mode | mode | ) |
| pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_filter_impl.

## ◆ set_policy()

virtual filter_policy gr::gsm::burst_sdcch_subslot_filter::set_policy | ( | filter_policy | policy | ) |
| pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_filter_impl.

## ◆ set_ss()

virtual unsigned int gr::gsm::burst_sdcch_subslot_filter::set_ss | ( | unsigned int | ss | ) |
| pure virtual

Implemented in gr::gsm::burst_sdcch_subslot_filter_impl.

The documentation for this class was generated from the following file:

- burst_sdcch_subslot_filter.h